﻿#include "memory_nvcom02_t.h"

//Обработчик прерывания
void irq_handler() {

  //Получаем код исключения
  unsigned int ActiveIRQ = QSTR0 & MASKR0;

  if (ActiveIRQ & (1 << 19)) { //Если прерывание от канала DMA VPOUT по передаче
                               //массива данных
    // Cбрасываем биты DONE и END
    CSR_VPOUT_CH &= ~((1 << 15) | (1 << 14));
  }

  if (ActiveIRQ & (1 << 18)) { //Если прерывание от порта VPOUT по концу кадра
    if (((Frame_cnt_VPOUT & (1 << 30)) == 0)) {
            // Запускаем DMA для следующего кадра
            CSR_VPOUT_CH |= (1);
        }
    }
}
